Bug 969903 - GSG: maven config settings.xml bug
GSG: maven config settings.xml bug
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: 6.2.0
Assigned To: gsheldon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 20:49 EDT by Misha H. Ali
Modified: 2013-11-07 17:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 17:50:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2013-06-02 20:49:45 EDT
Reported by Burr:

6.2. Add a Profile to Your Project

in 

https://access.redhat.com/site/documentation/en-US/JBoss_Data_Grid/6.1/html-single/Getting_Started_Guide/index.html

We do not recommend that people make changes to their pom.xml for setting up a file-based repository.   We recommend they update their settings.xml - this allows for each developer, to have a unique location on their hard drive for their file-based repos - but have the project's common pom.xml still work via CI.

I am not sure who works on JDG docs
Comment 1 gsheldon 2013-06-02 22:56:52 EDT
Setting NEEDINFO for mgencur on this one.
Comment 2 Martin Gencur 2013-06-03 04:07:16 EDT
It seems that the configuration snippet belongs to settings.xml. We just recommend adding it to pom.xml in the documentation, which is wrong. Every user has their own settings.xml located in $HOME/.m2/settings.xml. In the JDG maven repository there is an example of such a file - called example-settings.xml. We already talk about this file in the documentation: "B.2. Maven Repository Configuration Example" ... Users can take this example configuration file, copy to ~/.m2/ and rename to settings.xml so that Maven picks it up. In the example configuration file, you can see the EAP maven repository is used as well. This is needed for our quickstarts to run but it might not be needed for the initial setup of JDG.
Comment 6 Martin Gencur 2013-06-05 02:33:50 EDT
It looks good to me now.
Comment 8 Misha H. Ali 2013-11-07 17:50:14 EST
This bug is approved and available at:

https://access.redhat.com/site/documentation/Red_Hat_JBoss_Data_Grid/

Note You need to log in before you can comment on or make changes to this bug.